Loading...
Searching...
No Matches
Opm::WellType Class Reference

## Public Member Functions

| WellType (int ecl_wtype, int welspecs_phase)
| WellType (bool producer, Phase welspecs_phase)
| WellType (Phase welspecs_phase)
bool | injector () const
bool | producer () const
bool | update (InjectorType injector_type)
bool | update (bool producer)
int | ecl_wtype () const
int | ecl_phase () const
Phase | preferred_phase () const
InjectorType | injector_type () const
Phase | injection_phase () const
bool | operator== (const WellType &other) const
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static WellType | serializationTestObject ()
static bool | oil_injector (int ecl_wtype)
static bool | gas_injector (int ecl_wtype)
static bool | water_injector (int ecl_wtype)
static bool | producer (int ecl_wtype)

The documentation for this class was generated from the following files:

- opm/input/eclipse/Schedule/ScheduleTypes.hpp
- opm/input/eclipse/Schedule/ScheduleTypes.cpp